<?PHP 
if (!empty($_GET[langmode])) { 
        $langtable = "$prefix" . "LANG";
?>

<form class="boxadmin" name="form" method="post" action="index.php?page=query&langreturn=<?php echo $_GET[translate]; ?>&id=<?php echo $_GET[id]; ?>">

<h1><?php echo $rowxxxl[LANG]; ?></h1>

<input type="hidden" name="controller" value="<?php echo $langtable; ?>~update~<?php echo $return; ?>~<?php echo $rowxxxl[ID]; ?>">

<?PHP
foreach ($rowxxxl as $k => $value) {
        if (!is_numeric($k)) {
                if($k != strtoupper($k)) {
                        $pieces = explode("_", "$k");
                        if ($pieces[0] == $_GET[translate]) {
                                $field = "$k";
                                $check = 1;
?>

<h3 style="margin-top:15px"><?php echo $field; ?></h3>
<input type="text" name="<?php echo $field; ?>" class="fieldbox" style="width: 100%;" value="<?php echo $value; ?>">

<?PHP }}}} ?>

<input class="sparklybutton" type="submit" name="Save" value="<?PHP /* (LANGUAGE) */ $t = "Save Translation"; $f = "savetranslation"; $altpage = home; include "langinc.php"; /* (LANGUAGE) */ ?>" style="margin-top: 15px;">
</form>

<?PHP } ?>
